<style>
    .{$name}-{$id} .{$name}-{$id}-header {
                       text-align: center;
                       font-size: 2rem;
                       font-weight: bold;
                       text-transform: uppercase;
                       letter-spacing: 2px;
                       margin: 1rem 0;
                       color: {$data['header_text_color']};
                   }

    .{$name}-{$id} .{$name}-{$id}-slider {
                       overflow: hidden;
                       position: absolute;
                       top: 0;
                       left: 0;
                       user-select: none;
                       touch-action: none;
                       max-width: 100%;
                   }

    .{$name}-{$id} .{$name}-{$id}-slider .{$name}-{$id}-slide-track {
                       width: calc(200px * {$data['logos']|count});
                       white-space: nowrap;
                       overflow-x: hidden;
                   }

    .{$name}-{$id} .{$name}-{$id}-slider .{$name}-{$id}-slide {
                       animation: scroll-{$data['scroll']} {$data['scroll_speed']}s linear infinite;
                       height: 75pt;
                       width: 200px;
                       align-items: center;
                       text-align: center;
                       display: inline-block;
                   }

    .{$name}-{$id} .{$name}-{$id}-slider .{$name}-{$id}-slide img {
                       width: 180px;
                       vertical-align: middle;
                       margin: 0 auto;
                       display: inline-block;
                       max-width: 100%;
                       height: auto;
                   }

    @keyframes scroll-left {
        0% {
            transform: translateX(0);
        }
        100% {
            transform: translateX(calc(-200px * {$data['logos']|count} / 2));
        }
    }

    @keyframes scroll-right {
        100% {
            transform: translateX(0);
        }
        0% {
            transform: translateX(calc(-200px * {$data['logos']|count} / 2));
        }
    }
</style>

<div class="{$name}-{$id}" >
    {if $data['background_image']}
        <div class="{$name}-{$id}-cover"></div>
    {/if}
    {if !$data['disable_header']}
        <h2 class="{$name}-{$id}-header">{$data['header']}</h2>
    {/if}
    <div class="{$name}-{$id}-container" style="position: relative;  height: 75pt; width: 100%;">
        <div class="{$name}-{$id}-slider">
            <div class="{$name}-{$id}-slide-track">
                {foreach $data['logos'] as $logo}
                    {if $logo['logo_url'] eq ''}
                        <div class="{$name}-{$id}-slide"><img src="{$logo['logo_img']}"></div>
                    {else}
                        <div class="{$name}-{$id}-slide"><a href="{$logo['logo_url']}" target="_blank"><img src="{$logo['logo_img']}"></a></div>
                    {/if}
                {/foreach}
            </div>
        </div>
    </div>
</div>
