<div class="tablebg">
    <table class="datatable" width="100%" border="0" cellspacing="1" cellpadding="3">
        <tbody>
        <tr>
            <th colspan="2">{$lang['Extension']}</th>
            <th>{$lang['Version']}</th>
            <th>{$lang['Author']}</th>
            <th>{$lang['Requires License']}</th>
            <th></th>
            <th>{$lang['Help']}</th>
        </tr>

        {foreach from=$extensions key=key item=value}

        <tr>
            <td style="background-color:#fff;text-align:center; font-size: 25px;width: 100px;">
                <i class="{$value['FirstIcon']}">&nbsp;</i>
                <i class="{$value['SecondIcon']}">&nbsp;</i>
            </td>
            <td style="background-color:#fff;text-align:left;">
                <b>&nbsp;» {$value['DisplayName']}</b>
                <br>{$value['ShortDescription']}
            </td>
            <td style="background-color:#fff;text-align:center;">{$value['Version']}</td>
            <td style="background-color:#fff;text-align:center;">{$value['Author']}</td>

            <td style="background-color:#fff;text-align:center;">
                {if $value['RequiresLicense'] eq 'no'}
                <b style="color: green;">{$lang['FREE']}</b>
                {else}
                {$lang['YES']}
                {/if}
            </td>

            <td style="background-color:#fff;text-align:center; width: 300px;">
                {if $value['status']['activated'] eq 'no'}
                <input type="button" value="{$lang['Activate']}" onclick="window.location='{$before_path}/admin/addonmodules.php?module=puq_customization&activate={$key}'" class="btn btn-success">
                <input type="button" value="{$lang['Deactivate']}" class="btn disabled">
                {else}
                <input type="button" value="{$lang['Activate']}" class="btn disabled">
                <input type="button" value="{$lang['Deactivate']}" onclick="window.location='{$before_path}/admin/addonmodules.php?module=puq_customization&deactivate={$key}'" class="btn btn-danger">
                {/if}
            </td>

            <td style="background-color:#fff;text-align:center; font-size: 25px; width: 80px; color:blue;">
                {if $value['HelpUrl']}
                <a style="color:blue;" href="{$value['HelpUrl']}" target="_blank"><i class="fa fa-info" aria-hidden="true"></i>
                {/if}
            </td>

        </tr>
        {/foreach}

        </tbody>
    </table>
</div>